package fr.soleil.docking.infonode.view;

import java.awt.Component;

import javax.swing.Icon;
import javax.swing.JComponent;

import net.infonode.docking.RootWindow;
import net.infonode.docking.util.DockingUtil;
import fr.soleil.docking.view.AbstractViewFactory;
import fr.soleil.docking.view.IView;

/**
 * InfoNode implementation of {@link AbstractViewFactory}
 * 
 * @author girardot
 */
public class InfoNodeViewFactory extends AbstractViewFactory {

    public InfoNodeViewFactory() {
        super();
    }

    @Override
    protected IView createView(String title, Icon icon, Component component, Object id) {
        return new InfoNodeView(title, icon, component, id);
    }

    @Override
    protected void updateViewForDockingArea(IView view, JComponent dockingArea) {
        if ((view instanceof InfoNodeView) && (dockingArea instanceof RootWindow)) {
            InfoNodeView infoNodeView = (InfoNodeView) view;
            RootWindow rootWindow = (RootWindow) dockingArea;
            infoNodeView.getWindowProperties().getTabProperties().getNormalButtonProperties()
                    .getCloseButtonProperties().setVisible(false);
            infoNodeView.getWindowProperties().getTabProperties().getHighlightedButtonProperties()
                    .getCloseButtonProperties().setVisible(false);
            DockingUtil.addWindow(infoNodeView, rootWindow);
        }
    }

}
